Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167756 - Don't report error bagdes for virtual files.
Don't report error bagdes for virtual files.
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 19:33 UTC by Tomas Zezula
Modified: 2009-07-16 17:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2009-06-28 19:33:57 UTC
Don't report error bagdes for virtual files.
When the VSP creates a stub with errors the javac should NOT report these errors as they are synthetic.
Comment 1 Tomas Zezula 2009-06-28 19:37:31 UTC
jet-main #8c7b1d3b76fd
Comment 2 Quality Engineering 2009-06-29 05:58:13 UTC
Integrated into 'main-golden', will be available in build *200906290201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8c7b1d3b76fd
User: Tomas Zezula <tzezula@netbeans.org>
Log: #167756:Don't report error bagdes for virtual files.
Comment 3 Petr Blaha 2009-07-02 13:08:24 UTC
v.
Comment 4 pgebauer 2009-07-03 15:15:15 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/72b2bd93ee34
Comment 5 Jiri Prox 2009-07-16 17:10:17 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo